
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../store/actions.dart';
import '../store/store.dart';
import '../widgets/desktop/desktop_checkout.dart';
import '../widgets/mobile/mobile_checkout.dart';

class Checkout extends StatelessWidget {
  final int businessId;

  const Checkout(this.businessId, {Key? key}) :
      super(key: key);

  @override
  Widget build(BuildContext context) {
    store.dispatch(UpdateContext(context));

    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          ScreenTypeLayout(
            mobile: MobileCheckout(businessId),
            tablet: DesktopCheckout(businessId),
            desktop: DesktopCheckout(businessId),
          ),
    );
  }

}